Everything You Want to Know about VMware vSphere 6.7

Everything You Want to Know about VMware vSphere 6.7

Share Tweet Google+ Pin it

A Comprehensive vSphere 6.7 Guide

If you are a VMware user, you know how challenging it can be to surf through the pages of guides and product descriptions to figure out how to use or upgrade your product. With the release of vSphere 6.7 in mid-April, a new slew of literature is scattered across the VMware website, so how does that help current vSphere users looking to upgrade? We’ve created this one-stop guide in the hopes of answering any questions you may have about vSphere 6.7.

As always, feel free to reach out to a member of Trusted Tech Team, to get any of your burning vSphere questions answered.

The newest upgrade for vSphere is designed to help ease the explosive growth in the quantity and variety of applications that are being demanded from IT departments today. The growth in hybrid-cloud environments and use cases, as well as the need for security of infrastructure, all inspire the improved performance, usability, and consistency of vSphere 6.7.

Let’s look at what’s new.

Courtesy of VMware

vSphere 6.7 at a Glance

  • 2X faster performance in vCenter operations per second. (compared to 6.5)
  • 3X reduction in memory usage. (compared to 6.5)
  • 3X faster DRS-related operations (e.g. power-on virtual machine compared to 6.5).
  • Updates included are for vSphere (6.7), its hypervisor (ESXi 6.7), and management console (vCenter Server 6.7).
  • Enhanced vCenter Server Appliance (vCSA).
  • vCenter with embedded platform services controller in enhanced-linked mode
  • The HTML5-based vSphere Client provides a modern user interface experience that is both responsive and easy to use.

A Little More Depth

  • vSphere 6.7 simplifies workflows for VM Encryption and is designed to protect data at rest and in motion while also increasing the security posture of encrypting the VM and giving the user greater control to protect against unauthorized data access.
  • vSphere 6.7 enhances protection for data in motion by enabling encrypted vMotion across different vCenter instances, as well as versions, making it easy to securely conduct data center migrations, move data across a hybrid cloud environment between on-premises and public cloud, or across geographically distributed data centers.
  • vSphere 6.7 introduces support for the entire range of Microsoft’s Virtualization Based Security technologies. This is a result of close collaboration between VMware and Microsoft to ensure Windows VMs on vSphere support in-guest security features while continuing to run performant and secure on the vSphere platform.
  • vSphere 6.7 delivers comprehensive, built-in security and is the heart of a secure SDDC. It has deep integration and works seamlessly with other VMware products such as vSAN, NSX, and vRealize Suite to provide a complete security model for the data center.

Specs & Considerations

vSphere Considerations:

Since vSphere is the foundation for the SDDC, it is very important to review its interoperability with the current version(s) installed in your datacenters. 

  • An upgrade from vSphere 5.5 to vSphere 6.7 GA directly is currently not supported
  • vSphere 6.0 will be the minimum version that can be upgraded to vSphere 6.7
  • vSphere 6.7 is the final release that requires customers to specify SSO sites.
  • In vSphere 6.7, only TLS 1.2 is enabled by default. TLS 1.0 and TLS 1.1 are disabled by default.
  • Due to the changes done in VMFS6 metadata structures to make it 4K aligned, you cannot upgrade a VMFS5 datastore inline or offline to VMFS6, this stands true for vSphere 6.5 & vSphere 6.7. 

vCenter Server Considerations:

  • The vSphere 6.7 release is the final release of vCenter Server for Windows. After this release, vCenter Server for Windows will not be available
  • vCenter Server 6.7 does not support host profiles with a version less than 6.0 
  • vCenter Server 6.7 supports Enhanced Linked Mode with an Embedded PSC (Greenfield deployments only)
  • If vCenter High Availability (VCHA) is in use within your vSphere 6.5 deployment, you must remove the VCHA configuration before attempting an upgrade.

The following products are not compatible with vSphere 6.7 GA at this time:

  • VMware Horizon
  • VMware NSX
  • VMware Integrated OpenStack (VIO)
  • VMware vSphere Integrated Containers (VIC)  

Hardware specifications:

  • vSphere 6.7 no longer supports certain CPUs from AMD & Intel
  • These CPUs are currently supported in the vSphere 6.7 release, but they may not be supported in future vSphere releases;
  • Intel Xeon E3-1200 (SNB-DT)
  • Intel Xeon E7-2800/4800/8800 (WSM-EX)
  • Virtual machines that are compatible with ESX 3.x and later (hardware version 4) are supported with ESXi 6.7
  • Virtual machines that are compatible with ESX 2.x and later (hardware version 3) are not supported

Resources

Meanwhile, if you enjoy the dig through VMware documents, here are some resources you can peruse:

Previous Post Next Post

Leave a comment

Please note: comments must be approved before they are published.

Comments 0

BACK TO TOP